/* -------------------------------------
    COMMON CSS
------------------------------------- */
main {
    max-width: 800px;
}

/* -----------------------------------
    Versions TITLE
----------------------------------- */ 
.versions-title {
    padding: 25px 0px;
    /* margin-block: 30px; */
    /* margin-top: 80px; */
    margin-bottom: 0px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    box-sizing: border-box;
}

.versions-title > * {
    width: fit-content;
    /* margin-inline: auto; */
    color: gray;
    flex-basis: 100%;
}

.versions-title h1 {
    font-size: 2.4em;
    line-height: 40px;
    filter: drop-shadow(2px 2px 1px black);
}


/* -----------------------------------
    Versions TIMECOMMENTS
----------------------------------- */
.time-comments-title {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    padding: 10px;
}

.chrome-extension {
    background-color: var(--philadelphia);
    background-color: rgb(111 172 229 / 67%);
    background-color: rgba(111, 172, 229, 0.95);
    background-color: lightgray;
    background-color: rgb(187,187,187);
    border-radius: 2px;
    color: white;
    margin-top: 2px;
    padding: 0px 20px 3px;
    line-height: 14px;
    /* font-size: 14px; */
}

.title-of-what {
    font-size: 1.2em;
    color: rgb(88, 88, 88);
    display: flex;
    flex-direction: column;
    justify-items: center;
    padding: 10px;
    padding-left: 10px;
    gap: 5px;
}

.title-of-what > * {
    font-size: 1.7em;
    line-height: 34px;
}

/* -----------------------------------
    ABOUT PAGE CSS
----------------------------------- */
section.version {
    border: solid 5px rgb(237, 237, 237);
    padding: 10px;
    margin-bottom: 20px;
    position: relative;
} 

section.version-released {
    /* border: solid 4px rgb(179, 179, 179); */
}

.version-info {
    background-color: rgba(212, 212, 212, 0.3);
    padding: 10px;
    margin-bottom: 10px;
    display: flex;
}

.version-to-be-released ul{
    padding: 10px 0px 0px 0px;
}

.version-to-be-released li {
    margin-bottom: 5px;
    margin-left: 20px;
}

section.version-to-be-released .version-description {
    max-height: none;
    overflow: visible;
}


section.version-released .version-info {
    background-color: rgba(142, 193, 240, 0.3);  
}


.version-date {
    font-weight: bold;
    color: rgb(88, 88, 88);
}

.version-note {
    font-style: italic;
    color: rgb(88, 88, 88);
    margin-left: 10px;
}

.version-number {
    font-family: 'Courier New', Courier, monospace;
    margin-left:auto;
}

.version-description {
    display: block;
    max-height: 200px;
    overflow: hidden;
}

.version-wrapper {
    position: relative;
    height: fit-content;
    padding: 10px;
}

.centered-description-overlay {
    position: absolute;
    inset: 0;
    width: fit-content;
    height: fit-content;
    margin: auto;

    padding: 14px 30px;
    background: rgba(173, 216, 230, 0.85);
    background: rgba(216, 219, 219, 0.85);
    background: rgba(230, 230, 230, 0.85);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;

    border-radius: 10px;

    display: none;
}

section.version-released:hover:not(.expanded) .centered-description-overlay {
    display: flex;
}
section.version-released:hover:not(.expanded) .version-info,
section.version-released:hover:not(.expanded) .version-description
 {
    filter: blur(1.8px);
}

a.chrome-web-store {
    color: var(--philadelphia);
    font-weight: bold;
    text-decoration: none;
}

.open-w-right {
    width: 18px;
    height: 18px;
    cursor: pointer;
    margin-left: 5px;
    /* margin-top: 5px; */
}

.open-w-right path {
    stroke: var(--philadelphia);
}

svg.open-w-right {
     rotate: y 0deg; 
}

.chrome-web-store:hover {
    text-decoration: underline;
    color: rgb(21, 21, 189);
}

.chrome-web-store:hover .open-w-right path {
    stroke: black;
    stroke-width: 1.7px;
} 

.buttons-less {
    font-weight: bold;
    cursor: pointer;
}

.buttons-less:hover {
    text-decoration: underline;
}
    
.expand-here {
    margin-top: 1px;
    padding: 5px 15px;
    color: var(--philadelphia);
    color:rgb(88, 88, 88);
}

.expand-here:hover {
    color: black;
}

.collapse-here {
    display: none;
    width: fit-content;
    margin: auto;
    padding: 5px 15px;
    color: lightgray;
}
.collapse-here:hover {
    color: gray;
}

section.expanded .version-description {
    max-height: none;
    overflow: visible;
}

section.expanded .collapse-here {
    display: block;
}
